Web Browser
Mozilla Firefox and Microsoft Internet Explorer are recommended for use with Moodle, although other browsers also work.  If you are using Internet Explorer 8, you may want to enable the "compatibility mode" in order to see links properly.

Plugins
The latest version of these Adobe products are required for most classes:

The latest version of these other media players are also suggested:

Last modified: Friday, January 20, 2012, 8:48 AM